
    // Already tracked
    var _addIvwIframeTracked = Array();
    
    // Fuegt einen iFrame fuer das ivw-Zaehlpixel hinzu
    //
    var _addIvwIframe = function(data) {
      let wbId = 127176;
      let activeBoard = 0;
      
      if(data && data.activeBoard){
        activeBoard = data.activeBoard;
      }
      
      // Check already tracked
      if(_addIvwIframeTracked.find((i)=>{
        return (i.wbId == wbId && i.activeBoard == activeBoard);
      })){
        return;
      }
      
      // Add tracking code call
      var code = '<iframe class="ivw-iframe" src="/comic/countivw?id=' + wbId + '&ab=' + activeBoard + '" style="display:none;"></iframe>';
      $('.ivw-iframe').remove();
      $('body').append(code);

      // Add as tracked
      _addIvwIframeTracked.push({
        wbId: wbId,
        activeBoard: activeBoard
      });
    }

    // Call first load
    $(document).ready(function(){
      _addIvwIframe();
    } );
    
    // Override setActiveBoard Function Call For Tracking
    //
    var setActiveBoardOrig = setActiveBoard;
    setActiveBoard = function(activeBoard) {
        if(0 < activeBoard){
            let data = {activeBoard: activeBoard}; 
            _addIvwIframe(data);
        }
        return setActiveBoardOrig(activeBoard);
    }
    

create("EU-Länder und ihre Hauptstädte", 3.0);

// Home Tafel
var home = setHome(new Board("spaltenweise"));
home.setTitle(`Startseite`);
home.setInfo(`Startseite

`);

// Tafel Code Start

var home_titelBox = home.addBox(1608, 958, false);
var home_titelBild = new BackgroundImage(100, 0, 1608 * 0.9, 958 * 0.9, "src/img/Tafelbild-Titel_EU-Laender.png");
home_titelBox.addObject(home_titelBild);


// Tafel Code End


// 1. Tafel
var lh = addBoard(new Board("spaltenweise"));
lh.setTitle(`Die EU-Länder und ihre Hauptstädte`);
lh.setInfo(`Zum Einstieg schauen sich die Schülerinnen und Schüler die Karte der Europäischen Union mit den einzelnen Mitgliedsstaaten an und äußern sich frei. Sie können das Gespräch gezielt durch Fragen steuern. <br style='clear:both' /><strong>Möglich Arbeitsaufträge:</strong><ul>    <li>Benenne die 27 Mitgliedsstaaten der <a title='' href='/wissen/lexikon/grosses-lexikon/e/eu-union.html' class='hanisauland-lexikon' target='_blank'>Europäischen Union</a>.</li>    <li>Ordne die Mitgliedsstaaten nach der Größe ihrer Grundfläche: Welches ist das größte, welches das kleinste?</li>    <li>Bestimmt die Lage eures Heimatlandes auf der Karte. </li>  <li>Gebt die auf der Karte abgebildeten Mitgliedsstaaten wieder.</li>   <li>Nenne die Landeshauptstädte der abgebildeten Mitgliedsstaaten.</li>    <li>Anschließend werden zur Überprüfung nacheinander die Ländernamen und die Namen der <a title='' href='/wissen/lexikon/grosses-lexikon/h/hauptstadt.html' class='hanisauland-lexikon' target='_blank'>Hauptstädte</a> eingeblendet. </li></ul><br style='clear:both' /><strong>Differenzierung:</strong><br style='clear:both' /> In Abhängigkeit des Leistungsniveaus der Lernenden und der zur Verfügung stehenden Zeit, kann seitens der Lehrkraft kurz darauf eingegangen werden, dass die Europäische Union nach einem quasiföderalen System aufgebaut ist. Zur Unterstützung kann dabei das Spezial „Europäische Union“ sowie der Lexikonartikel „EU: Europäische Union“ genutzt werden. Weiterhin können Anrainerstaaten bzw. Nicht-EU-Mitgliedsstaaten durch die zusätzliche Einblend-Funktion thematisiert und ihre geografische Lage auf dem Kontinent <a title='' href='/wissen/lexikon/grosses-lexikon/e/europa.html' class='hanisauland-lexikon' target='_blank'>Europa</a> sowie angrenzender veranschaulicht werden.

`);

// Tafel Code Start

var lh_laenderNamenButtonAnTitel = 'Ländernamen einblenden';
var lh_laenderNamenButtonAusTitel = 'Ländernamen ausblenden';
var lh_staedteNamenButtonAnTitel = 'Städtenamen einblenden';
var lh_staedteNamenButtonAusTitel = 'Städtenamen ausblenden';
var lh_drittlaenderNamenButtonAnTitel = 'Drittländer einblenden';
var lh_drittlaenderNamenButtonAusTitel = 'Drittländer ausblenden';
var lh_deBildWidth = 2500/1.7;
var lh_deBildHeight = 2065/1.7;
//var lh_karteBox = lh.addBox(lh_deBildWidth + 250, lh_deBildHeight + 100, true);
var lh_karteBox = lh.addBox(lh_deBildWidth, lh_deBildHeight+120, true);
var lh_deBild = new BackgroundImage(0, 50, lh_deBildWidth, lh_deBildHeight, "src/img/156998.png");
lh_karteBox.addObject(lh_deBild);
var lh_laenderNamenTE = new ToggleElement(0, 50, lh_deBildWidth, lh_deBildHeight, "src/img/157001.png", lh_karteBox, 50, 150, 400, 32, lh_laenderNamenButtonAnTitel, lh_laenderNamenButtonAusTitel, "rgb(255, 161, 77)", lh_karteBox);
lh_karteBox.addObject(lh_laenderNamenTE);
var lh_staedteNamenTE = new ToggleElement(0, 50, lh_deBildWidth, lh_deBildHeight, "src/img/157004.png", lh_karteBox, 50, 200, 400, 32, lh_staedteNamenButtonAnTitel, lh_staedteNamenButtonAusTitel, "rgb(255, 211, 100)", lh_karteBox);
lh_karteBox.addObject(lh_staedteNamenTE);
//20457 src/img/157852.png
var lh_drittLaenderNamenTE = new ToggleElement(0, 50, lh_deBildWidth, lh_deBildHeight, "src/img/157852.png", lh_karteBox, 50, 250, 400, 32, lh_drittlaenderNamenButtonAnTitel, lh_drittlaenderNamenButtonAusTitel, "rgb(255, 161, 77)", lh_karteBox);
lh_karteBox.addObject(lh_drittLaenderNamenTE);


// Tafel Code End


// 2. Tafel
var fl27 = addBoard(new Board("spaltenweise"));
fl27.setTitle(`Die 27 Flaggen`);
fl27.setInfo(`Die Schülerinnen und Schüler schauen sich die 27 Flaggen der EU-Mitgliedsstaaten an. In einem ersten Schritt suchen sie die Flagge ihres Heimatlandes und beschreiben, was sie sehen. Danach überlegen sie gemeinsam, wo sie die Flagge ihres Heimatlandes in ihrem Alltag schon überall entdeckt haben, bzw. zu welchen Anlässen. Anschließend raten die Schülerinnen und Schüler gemeinsam, welcher Staat sich hinter welcher Flagge verbirgt und begründen ihre Entscheidung. <br style='clear:both' />Die Richtigkeit wird durch das Anklicken der entsprechenden Flagge gemeinsam überprüft. An dieser Stelle könnten auch Gruppenarbeiten oder Referate ansetzen, in denen sich die Schülerinnen und Schüler intensiver mit einer Flagge ihrer Wahl und der darin enthaltenen Symbolik auseinandersetzen. Dieses Vorgehen eignet sich beispielsweise auch für das digitale Lernen oder Projektarbeiten.

`);

// Tafel Code Start

var fl27_belg = "Belgien";
var fl27_bulg = "Bulgarien";
var fl27_dane = "Dänemark";
var fl27_deut = "Deutschland";
var fl27_estl = "Estland";
var fl27_finn = "Finnland";
var fl27_fran = "Frankreich";
var fl27_grie = "Griechenland";
var fl27_irla = "Irland";
var fl27_ital = "Italien";
var fl27_kroa = "Kroatien";
var fl27_lett = "Lettland";
var fl27_lita = "Litauen";
var fl27_luxe = "Luxemburg";
var fl27_malt = "Malta";
var fl27_nied = "Niederlande";
var fl27_oste = "Österreich";
var fl27_pole = "Polen";
var fl27_port = "Portugal";
var fl27_ruma = "Rumänien";
var fl27_schw = "Schweden";
var fl27_slwk = "Slowakei";
var fl27_slwn = "Slowenien";
var fl27_span = "Spanien";
var fl27_tsch = "Tschechien";
var fl27_unga = "Ungarn";
var fl27_zype = "Zypern";
var fl27_box = fl27.addBox(1200, 1100, true);
var fl27_card1 = new Card(0,20,200,200,'src/img/157038.png', fl27_belg);
var fl27_card2 = new Card(200,20,200,200,'src/img/157039.png', fl27_bulg);
var fl27_card3 = new Card(400,20,200,200,'src/img/157040.png', fl27_dane);
var fl27_card4 = new Card(600,20,200,200,'src/img/157041.png', fl27_deut);
var fl27_card5 = new Card(800,20,200,200,'src/img/157042.png', fl27_estl);
var fl27_card6 = new Card(1000,20,200,200,'src/img/157043.png', fl27_finn);
var fl27_card7 = new Card(0,220,200,200,'src/img/157044.png', fl27_fran);
var fl27_card8 = new Card(200,220,200,200,'src/img/157045.png', fl27_grie);
var fl27_card9 = new Card(400,220,200,200,'src/img/157046.png', fl27_irla);
var fl27_card10 = new Card(600,220,200,200,'src/img/157047.png', fl27_ital);
var fl27_card11 = new Card(800,220,200,200,'src/img/157048.png', fl27_kroa);
var fl27_card12 = new Card(1000,220,200,200,'src/img/157049.png', fl27_lett);
var fl27_card13 = new Card(0,420,200,200,'src/img/157050.png', fl27_lita);
var fl27_card14 = new Card(200,420,200,200,'src/img/157051.png', fl27_luxe);
var fl27_card15 = new Card(400,420,200,200,'src/img/157052.png', fl27_malt);
var fl27_card16 = new Card(600,420,200,200,'src/img/157053.png', fl27_nied);
var fl27_card17 = new Card(800,420,200,200,'src/img/157054.png', fl27_oste);
//src/img/157055.png
var fl27_card18 = new Card(1000,420,200,200,'src/img/157055.png', fl27_pole);
var fl27_card19 = new Card(0,620,200,200,'src/img/157056.png', fl27_port);
var fl27_card20 = new Card(200,620,200,200,'src/img/157057.png', fl27_ruma);
var fl27_card21 = new Card(400,620,200,200,'src/img/157058.png', fl27_schw);
var fl27_card22 = new Card(600,620,200,200,'src/img/157059.png', fl27_slwk);
var fl27_card23 = new Card(800,620,200,200,'src/img/157060.png', fl27_slwn);
var fl27_card24 = new Card(1000,620,200,200,'src/img/157061.png', fl27_span);
var fl27_card25 = new Card(0,820,200,200,'src/img/157062.png', fl27_tsch);
var fl27_card26 = new Card(400,820,200,200,'src/img/157063.png', fl27_unga);
var fl27_card27 = new Card(800,820,200,200,'src/img/157064.png', fl27_zype);
fl27_box.addObject(fl27_card1);
fl27_card1.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card2);
fl27_card2.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card3);
fl27_card3.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card4);
fl27_card4.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card5);
fl27_card5.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card6);
fl27_card6.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card7);
fl27_card7.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card8);
fl27_card8.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card9);
fl27_card9.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card10);
fl27_card10.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card11);
fl27_card11.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card12);
fl27_card12.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card13);
fl27_card13.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card14);
fl27_card14.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card15);
fl27_card15.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card16);
fl27_card16.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card17);
fl27_card17.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card18);
fl27_card18.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card19);
fl27_card19.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card20);
fl27_card20.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card21);
fl27_card21.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card22);
fl27_card22.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card23);
fl27_card23.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card24);
fl27_card24.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card25);
fl27_card25.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card26);
fl27_card26.setBackgroundColor("rgba(255,255,255,0.75)");
fl27_box.addObject(fl27_card27);
fl27_card27.setBackgroundColor("rgba(255,255,255,0.75)");


// Tafel Code End


// 3. Tafel
var pzl = addBoard(new Board("spaltenweise"));
pzl.setTitle(`Das EU-Länderpuzzle`);
pzl.setInfo(`Die Schülerinnen und Schüler erarbeiten sich den geografischen Aufbau der EU. Dafür puzzeln sie die Grundrisse der Mitgliedsstaaten auf einer Karte zusammen. Dabei lernen sie neben den spezifischen Länderumrissen auch die Nachbarländer der einzelnen Mitgliedsstaaten kennen. Gleichfalls wird dadurch verdeutlicht, dass die EU nicht alle Länder des europäischen Kontinents umfasst und bietet einen Ansatzpunkt, die Geschichte der EU zu thematisieren. <br style='clear:both' />Zusatzaufgabe: Anhand der zusammengepuzzelten Karte prüfen sie, welche EU-Mitgliedsstaaten unmittelbar an Deutschland angrenzen. Lösung: Belgien, Dänemark, Frankreich, Luxemburg, Niederlande, Österreich, Polen, Tschechien.

`);

// Tafel Code Start

var pzl_scale = 2;
var pzl_rnd = 2500;
var pzl_deKarteBox = pzl.addBox(4006, 4003 + 200, true);
var pzl_blKartenBox = pzl.addBox(4000, 4000, true);
var pzl_puzzle = new Puzzle("puzzle_test");
pzl_puzzle.addPiece("src/img/157024.png", 77, 90, pzl_blKartenBox, 0, 100, pzl_deKarteBox, 1461,2477);
pzl_puzzle.addPiece("src/img/157037.png", 204, 152, pzl_blKartenBox, 200, 150, pzl_deKarteBox, 3566,3650);
pzl_puzzle.addPiece("src/img/157036.png", 457, 322, pzl_blKartenBox, 660, 200, pzl_deKarteBox, 2178,2592);
pzl_puzzle.addPiece("src/img/157035.png", 452, 260, pzl_blKartenBox, 450, 600, pzl_deKarteBox, 1889,2394);
pzl_puzzle.addPiece("src/img/157034.png", 987, 862, pzl_blKartenBox, 0, 3100, pzl_deKarteBox, 318,2980);
pzl_puzzle.addPiece("src/img/157033.png", 223, 163, pzl_blKartenBox, 0, 900, pzl_deKarteBox, 1986,2814);
pzl_puzzle.addPiece("src/img/157032.png", 378, 209, pzl_blKartenBox, 0, 1400, pzl_deKarteBox, 2211,2506);
pzl_puzzle.addPiece("src/img/157031.png", 537, 1429, pzl_blKartenBox, 1250, 50, pzl_deKarteBox, 1809,534);
pzl_puzzle.addPiece("src/img/157030.png", 689, 508,  pzl_blKartenBox, 3000, 1350, pzl_deKarteBox, 2476,2553);
pzl_puzzle.addPiece("src/img/157029.png", 320, 525, pzl_blKartenBox, 2500, 350, pzl_deKarteBox, 204,3133);
pzl_puzzle.addPiece("src/img/157028.png", 657, 568, pzl_blKartenBox, 280, 1700, pzl_deKarteBox, 2003,1983);
pzl_puzzle.addPiece("src/img/157027.png", 523, 276, pzl_blKartenBox, 1950, 1600, pzl_deKarteBox, 1721,2600);
pzl_puzzle.addPiece("src/img/157026.png", 260, 278, pzl_blKartenBox, 650, 1150, pzl_deKarteBox, 1327,2153);
pzl_puzzle.addPiece("src/img/157025.png", 94, 65, pzl_blKartenBox, 90, 520, pzl_deKarteBox, 2084,3880);
pzl_puzzle.addPiece("src/img/157011.png", 248, 213, pzl_blKartenBox,  0, 2650, pzl_deKarteBox, 1273,2344);
pzl_puzzle.addPiece("src/img/157023.png", 348, 275, pzl_blKartenBox,  1900, 1000, pzl_deKarteBox, 2374,1763);
pzl_puzzle.addPiece("src/img/157022.png", 411, 250, pzl_blKartenBox,  1200, 1600, pzl_deKarteBox, 2366,1596);
pzl_puzzle.addPiece("src/img/157021.png", 432, 405, pzl_blKartenBox,  580, 2500, pzl_deKarteBox, 2000,2840);
pzl_puzzle.addPiece("src/img/157020.png", 918, 1048, pzl_blKartenBox,  3000, 3000, pzl_deKarteBox, 1506,2804);
pzl_puzzle.addPiece("src/img/157019.png", 311, 364, pzl_blKartenBox,  1500, 2000, pzl_deKarteBox, 486,1833);
pzl_puzzle.addPiece("src/img/157018.png", 749, 708, pzl_blKartenBox,  3000, 2000, pzl_deKarteBox, 2512,3216);
pzl_puzzle.addPiece("src/img/157017.png", 968, 1020, pzl_blKartenBox,  1500, 3000, pzl_deKarteBox, 751,2376);
pzl_puzzle.addPiece("src/img/157016.png", 600, 1079, pzl_blKartenBox,  2400, 2000, pzl_deKarteBox, 2142,382);
pzl_puzzle.addPiece("src/img/157015.png", 334, 230, pzl_blKartenBox,  1800, 2500, pzl_deKarteBox, 2376,1421);
pzl_puzzle.addPiece("src/img/157014.png", 588, 799, pzl_blKartenBox,  3000, 100, pzl_deKarteBox, 1487,1995);
pzl_puzzle.addPiece("src/img/157013.png", 411, 311, pzl_blKartenBox,  2000, 290, pzl_deKarteBox, 1640,1728);
pzl_puzzle.addPiece("src/img/157012.png", 462, 354, pzl_blKartenBox,  2500, 1100, pzl_deKarteBox, 2659,2950);
pzl_puzzle.addBackgroundImage("src/img/157109.png", 0, 0, 4006, 4003, pzl_deKarteBox);
pzl_blKartenBox.addObject(pzl_puzzle);


// Tafel Code End


// 4. Tafel
var zl = addBoard(new Board("spaltenweise"));
zl.setTitle(`Zuordnung der EU-Länder`);
zl.setInfo(`Aufbauend auf den vorangegangenen Folien reproduzieren die Schülerinnen und Schüler die Lage der EU-Mitgliedsstaaten in Europa und ordnen selbständig per Drag and Drop die Namen der EU-Mitgliedsstaaten den passenden Ländern zu. Dies und die folgenden beiden Folien können Sie auch als Hausaufgabe an Ihre Schülerinnen und Schüler stellen und sie dann in der Folgestunde im Plenum lösen lassen. Das spart bei jüngeren Lernenden Zeit, stellt aber sicher, dass jede und jeder Lernende die Inhalte nochmals reproduziert und verinnerlicht.

`);

// Tafel Code Start

var zl_belg = "Belgien";
var zl_bulg = "Bulgarien";
var zl_dane = "Dänemark";
var zl_deut = "Deutschland";
var zl_estl = "Estland";
var zl_finn = "Finnland";
var zl_fran = "Frankreich";
var zl_grie = "Griechenland";
var zl_irla = "Irland";
var zl_ital = "Italien";
var zl_kroa = "Kroatien";
var zl_lett = "Lettland";
var zl_lita = "Litauen";
var zl_luxe = "Luxemburg";
var zl_malt = "Malta";
var zl_nied = "Niederlande";
var zl_oste = "Österreich";
var zl_pole = "Polen";
var zl_port = "Portugal";
var zl_ruma = "Rumänien";
var zl_schw = "Schweden";
var zl_slwk = "Slowakei";
var zl_slwn = "Slowenien";
var zl_span = "Spanien";
var zl_tsch = "Tschechien";
var zl_unga = "Ungarn";
var zl_zype = "Zypern";
var zl_euBildBox = zl.addBox(2500 + 100, 2065 + 200, true);
var zl_kartenBox = zl.addBox(1000, 2065 + 200, true);
var zl_assignment = new Assignment("assignment", 40);
zl_assignment.addPiece(zl_belg, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox , 0, 50, zl_euBildBox, 855,1073, [[825,1031],[794,1051],[801,1076],[816,1067],[820,1093],[836,1095],[854,1104],[856,1124],[880,1120],[880,1137],[913,1159],[913,1135],[933,1113],[942,1102],[929,1082],[909,1076],[926,1058],[893,1036],[867,1031],[847,1047]]);
zl_assignment.addPiece(zl_bulg, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 0, 150, zl_euBildBox, 1751,1488, [[1677,1460],[1664,1466],[1673,1504],[1704,1517],[1677,1544],[1686,1588],[1706,1586],[1717,1623],[1786,1608],[1828,1614],[1867,1599],[1856,1581],[1885,1553],[1911,1542],[1947,1537],[1925,1517],[1918,1489],[1922,1451],[1947,1440],[1934,1422],[1885,1416],[1867,1409],[1839,1420],[1816,1462],[1772,1464],[1728,1475],[1686,1473]]);
zl_assignment.addPiece(zl_dane, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 0, 250, zl_euBildBox, 913,726, [[1108,647],[1072,674],[1039,678],[1028,782],[1050,826],[1092,817],[1134,841],[1187,822],[1180,775],[1174,746],[1141,773],[1121,773],[1130,727],[1108,720]]);
zl_assignment.addPiece(zl_deut, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 0, 350, zl_euBildBox, 1005,1010, [[1028,817],[1059,888],[982,906],[988,930],[971,961],[977,983],[957,1012],[935,1014],[931,1080],[949,1109],[935,1126],[960,1144],[942,1159],[968,1188],[1021,1201],[984,1288],[1013,1285],[1044,1279],[1074,1290],[1105,1307],[1121,1290],[1145,1301],[1214,1279],[1227,1288],[1209,1246],[1258,1210],[1214,1175],[1180,1120],[1280,1069],[1295,1040],[1278,963],[1253,950],[1262,923],[1258,879],[1222,841],[1189,850],[1152,879],[1119,872],[1138,853],[1097,850],[1088,826]]);
zl_assignment.addPiece(zl_estl, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 0, 450, zl_euBildBox, 1579,491, [[1675,459],[1651,464],[1598,464],[1571,477],[1545,486],[1527,508],[1494,523],[1483,572],[1498,599],[1529,559],[1558,559],[1576,554],[1578,572],[1616,563],[1653,581],[1682,581],[1688,557],[1673,532],[1664,501]]);
zl_assignment.addPiece(zl_finn, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 0, 550, zl_euBildBox, 1457,321, [[1432,2],[1448,31],[1441,57],[1465,86],[1496,102],[1492,150],[1428,265],[1417,300],[1445,367],[1439,415],[1452,453],[1505,462],[1638,393],[1682,327],[1717,216],[1646,170],[1662,146],[1627,130],[1635,113],[1616,97],[1609,51],[1580,2]]);
zl_assignment.addPiece(zl_fran, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 0, 650, zl_euBildBox, 660,1364, [[549,1515],[564,1533],[597,1553],[624,1564],[655,1566],[666,1551],[690,1575],[714,1595],[774,1599],[770,1555],[814,1533],[862,1544],[911,1566],[975,1526],[984,1498],[951,1482],[955,1460],[940,1442],[968,1425],[953,1394],[942,1354],[913,1376],[962,1292],[984,1288],[997,1219],[1019,1199],[946,1166],[924,1166],[907,1155],[878,1138],[876,1120],[854,1127],[854,1107],[834,1100],[823,1089],[809,1069],[796,1054],[756,1058],[754,1102],[725,1118],[686,1131],[670,1151],[639,1142],[631,1118],[597,1116],[615,1182],[584,1180],[553,1182],[538,1153],[476,1166],[480,1217],[562,1250],[575,1323],[606,1332],[582,1438],[566,1480]]);
zl_assignment.addPiece(zl_grie, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 0, 750,  zl_euBildBox, 1622,1728, [[1861,1575],[1883,1586],[1876,1608],[1869,1641],[1812,1632],[1812,1663],[1821,1692],[1845,1694],[1850,1707],[1878,1736],[1896,1727],[1916,1745],[1896,1778],[1905,1796],[1911,1822],[1953,1811],[1971,1871],[2024,1888],[2020,1926],[1998,1963],[1953,1994],[1876,2027],[1812,2010],[1766,1968],[1737,1955],[1704,1935],[1693,1917],[1660,1868],[1642,1895],[1613,1864],[1624,1807],[1582,1787],[1569,1758],[1598,1765],[1624,1681],[1640,1670],[1662,1667],[1680,1652],[1715,1632],[1786,1601],[1821,1612],[1861,1601]]);
zl_assignment.addPiece(zl_irla, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 0, 850, zl_euBildBox, 331,881, [[469,713],[452,729],[443,716],[427,729],[403,744],[421,755],[405,766],[383,771],[374,760],[350,760],[357,784],[330,808],[352,824],[372,828],[354,844],[339,864],[330,877],[306,886],[308,919],[324,936],[377,925],[414,910],[465,928],[485,806],[474,802],[465,782],[452,793],[427,771],[452,749]]);
zl_assignment.addPiece(zl_ital, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 0, 950, zl_euBildBox, 1164,1581, [[955,1398],[966,1422],[938,1440],[962,1466],[951,1484],[968,1500],[986,1500],[982,1526],[1015,1511],[1041,1489],[1077,1515],[1099,1515],[1114,1581],[1152,1614],[1216,1670],[1253,1692],[1271,1683],[1306,1729],[1328,1723],[1337,1754],[1373,1754],[1406,1838],[1390,1840],[1375,1873],[1337,1875],[1282,1891],[1262,1882],[1231,1891],[1211,1915],[1344,1970],[1362,1952],[1350,1921],[1368,1893],[1395,1888],[1426,1853],[1430,1826],[1454,1815],[1441,1789],[1417,1771],[1432,1723],[1461,1732],[1485,1740],[1503,1760],[1514,1740],[1487,1709],[1434,1685],[1375,1663],[1388,1637],[1324,1634],[1289,1610],[1258,1539],[1211,1515],[1198,1466],[1211,1455],[1194,1429],[1256,1402],[1244,1356],[1198,1343],[1183,1323],[1145,1325],[1136,1343],[1116,1338],[1112,1356],[1099,1356],[1108,1374],[1063,1360],[1052,1400],[1021,1365],[999,1394]]);
zl_assignment.addPiece(zl_kroa, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 0, 1050, zl_euBildBox, 1326,1407, [[1377,1343],[1346,1369],[1350,1391],[1331,1396],[1328,1413],[1295,1402],[1289,1418],[1247,1422],[1264,1466],[1293,1464],[1293,1484],[1320,1489],[1370,1544],[1403,1581],[1439,1588],[1490,1597],[1381,1495],[1359,1462],[1355,1431],[1379,1442],[1397,1422],[1481,1429],[1496,1442],[1512,1416],[1479,1369],[1461,1383],[1437,1378],[1410,1372]]);
zl_assignment.addPiece(zl_lett, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 0, 1150, zl_euBildBox, 1599,590, [[1574,585],[1593,618],[1576,647],[1549,645],[1543,625],[1518,603],[1494,627],[1485,665],[1479,700],[1487,716],[1507,693],[1545,687],[1602,687],[1616,663],[1629,680],[1680,700],[1699,682],[1719,685],[1728,647],[1704,616],[1699,592],[1677,579],[1657,587],[1622,570],[1600,563]]);
zl_assignment.addPiece(zl_lita, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 0, 1250, zl_euBildBox, 1516,703, [[1490,720],[1494,762],[1532,773],[1551,769],[1565,788],[1571,808],[1591,819],[1604,839],[1627,828],[1655,799],[1675,804],[1664,786],[1669,764],[1697,724],[1684,729],[1688,702],[1649,685],[1624,676],[1611,665],[1602,678],[1549,680],[1518,687],[1501,707]]);
zl_assignment.addPiece(zl_luxe, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 0, 1350, zl_euBildBox, 916,1166, [[938,1120],[940,1135],[957,1142],[944,1164],[920,1164],[913,1124]]);
zl_assignment.addPiece(zl_malt, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 400, 50, zl_euBildBox, 1369,2012, [[1302,2003],[1315,2021],[1342,2032],[1364,2023],[1337,2010],[1320,1994]]);
zl_assignment.addPiece(zl_nied, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 400, 150, zl_euBildBox, 787,924, [[896,919],[878,978],[823,1034],[856,1049],[893,1038],[922,1058],[915,1073],[935,1078],[942,1034],[931,1016],[966,1009],[975,983],[960,959],[977,961],[982,925],[962,910]]);
zl_assignment.addPiece(zl_oste, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 400, 250, zl_euBildBox, 1227,1242, [[1256,1217],[1214,1246],[1221,1290],[1203,1281],[1176,1281],[1137,1301],[1108,1288],[1101,1305],[1079,1296],[1070,1319],[1097,1341],[1134,1336],[1187,1323],[1201,1347],[1296,1358],[1305,1338],[1351,1332],[1373,1307],[1371,1285],[1371,1268],[1391,1259],[1391,1246],[1380,1221],[1373,1199],[1349,1201],[1313,1188],[1289,1212]]);
zl_assignment.addPiece(zl_pole, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 400, 350, zl_euBildBox, 1369,896, [[1403,806],[1357,819],[1333,848],[1280,872],[1262,901],[1253,947],[1271,970],[1289,1067],[1350,1084],[1364,1109],[1384,1095],[1412,1098],[1417,1115],[1445,1122],[1463,1144],[1487,1135],[1501,1155],[1543,1140],[1580,1129],[1624,1155],[1613,1109],[1655,1045],[1649,1023],[1624,992],[1627,947],[1607,936],[1633,897],[1589,808],[1549,819],[1494,826],[1454,824],[1419,830]]);
zl_assignment.addPiece(zl_port, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 400, 450, zl_euBildBox, 89,1624, [[123,1836],[120,1732],[210,1532],[236,1554],[295,1558],[308,1584],[269,1606],[265,1648],[223,1681],[236,1739],[191,1836]]);
zl_assignment.addPiece(zl_ruma, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 400, 550, zl_euBildBox, 1670,1306, [[1649,1212],[1618,1239],[1580,1338],[1545,1352],[1571,1383],[1613,1425],[1642,1433],[1666,1422],[1673,1451],[1697,1475],[1741,1475],[1768,1462],[1810,1462],[1830,1431],[1872,1416],[1914,1413],[1945,1429],[1938,1341],[1969,1349],[1969,1314],[1931,1321],[1900,1325],[1892,1290],[1887,1252],[1843,1206],[1812,1166],[1792,1173],[1748,1197],[1733,1212],[1693,1206]]);
zl_assignment.addPiece(zl_schw, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 400, 650, zl_euBildBox, 1184,466, [[1256,4],[1242,27],[1251,51],[1222,99],[1205,106],[1220,150],[1196,201],[1207,227],[1183,239],[1150,265],[1158,318],[1163,358],[1152,386],[1183,413],[1167,440],[1178,493],[1147,508],[1152,557],[1132,565],[1141,612],[1191,718],[1185,738],[1198,784],[1244,786],[1242,758],[1262,731],[1293,731],[1324,729],[1339,652],[1317,649],[1315,583],[1364,526],[1291,523],[1337,510],[1364,512],[1370,481],[1350,448],[1320,444],[1313,364],[1346,283],[1386,234],[1408,181],[1390,170],[1419,104],[1465,93],[1439,55],[1445,31],[1430,2]]);
zl_assignment.addPiece(zl_slwk, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 400, 750, zl_euBildBox, 1445,1161, [[1454,1144],[1432,1173],[1419,1193],[1395,1195],[1384,1228],[1423,1257],[1470,1250],[1468,1232],[1494,1232],[1521,1215],[1543,1190],[1578,1190],[1604,1195],[1609,1153],[1578,1129],[1554,1131],[1529,1137],[1501,1157],[1485,1137]]);
zl_assignment.addPiece(zl_slwn, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 400, 850, zl_euBildBox, 1242,1366, [[1256,1354],[1240,1369],[1256,1396],[1262,1416],[1289,1411],[1300,1402],[1322,1413],[1342,1389],[1342,1369],[1373,1341],[1362,1323],[1337,1341],[1304,1352],[1293,1365]]);
zl_assignment.addPiece(zl_span, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 400, 950, zl_euBildBox, 331,1733, [[206,1528],[240,1531],[231,1544],[277,1557],[304,1555],[310,1577],[326,1586],[282,1614],[273,1656],[259,1665],[268,1681],[257,1694],[235,1685],[237,1723],[253,1738],[226,1760],[229,1782],[244,1787],[224,1798],[206,1829],[202,1842],[229,1853],[251,1868],[253,1910],[275,1930],[282,1970],[306,1928],[324,1915],[352,1908],[405,1915],[436,1926],[463,1919],[505,1884],[542,1884],[564,1824],[602,1820],[580,1800],[580,1773],[650,1694],[633,1687],[708,1670],[763,1637],[774,1608],[743,1599],[712,1601],[690,1592],[686,1575],[655,1561],[624,1568],[615,1557],[597,1559],[586,1544],[560,1533],[544,1511],[518,1513],[491,1502],[483,1513],[465,1489],[441,1491],[363,1460],[306,1458],[284,1433],[266,1429],[198,1464],[218,1480]]);
zl_assignment.addPiece(zl_tsch, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 400, 1050, zl_euBildBox, 1220,1141, [[1271,1065],[1187,1113],[1194,1157],[1236,1197],[1275,1219],[1297,1212],[1309,1193],[1353,1208],[1386,1201],[1428,1184],[1459,1142],[1421,1118],[1410,1100],[1379,1102],[1364,1115],[1342,1089],[1302,1069]]);
zl_assignment.addPiece(zl_unga, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 400, 1150, zl_euBildBox, 1442,1296, [[1402,1245],[1400,1270],[1372,1270],[1367,1325],[1411,1371],[1464,1380],[1515,1349],[1577,1336],[1610,1248],[1643,1219],[1610,1199],[1581,1199],[1575,1186],[1544,1195],[1520,1223],[1497,1226],[1479,1248],[1441,1261]]);
zl_assignment.addPiece(zl_zype, 350, 70, 45, "rgb(50, 197, 249)", zl_kartenBox, 400, 1250, zl_euBildBox, 2100,1905, [[2353,1846],[2324,1884],[2331,1902],[2305,1910],[2274,1937],[2245,1937],[2234,1910],[2267,1895],[2267,1879],[2309,1879]]);
zl_assignment.addBackgroundImage("src/img/156998.png", 0, 0, 2500, 2065, zl_euBildBox);
zl_kartenBox.addObject(zl_assignment);


// Tafel Code End


// 5. Tafel
var zh = addBoard(new Board("spaltenweise"));
zh.setTitle(`Zuordnung der EU-Hauptstädte`);
zh.setInfo(`Zur weiteren Festigung des erworbenen Wissens rund um die EU-Mitgliedsstaaten ordnen die Schülerinnen und Schüler selbständig per Drag and Drop die Namen der Städte der jeweiligen Landeshauptstadt zu und überprüfen ihre Antworten.

`);

// Tafel Code Start

var zh_belg = "Brüssel";
var zh_bulg = "Sofia";
var zh_dane = "Kopenhagen";
var zh_deut = "Berlin";
var zh_estl = "Tallinn";
var zh_finn = "Helsinki";
var zh_fran = "Paris";
var zh_grie = "Athen";
var zh_irla = "Dublin";
var zh_ital = "Rom";
var zh_kroa = "Zagreb";
var zh_lett = "Riga";
var zh_lita = "Vilnius";
var zh_luxe = "Luxemburg";
var zh_malt = "Valetta";
var zh_nied = "Amsterdam";
var zh_oste = "Wien";
var zh_pole = "Warschau";
var zh_port = "Lissabon";
var zh_ruma = "Bukarest";
var zh_schw = "Stockholm";
var zh_slwk = "Bratislava";
var zh_slwn = "Ljubljana";
var zh_span = "Madrid";
var zh_tsch = "Prag";
var zh_unga = "Budapest";
var zh_zype = "Nikosia";
var zh_euBildBox = zh.addBox(2500 + 100, 2065 + 200, true);
var zh_kartenBox = zh.addBox(1000, 2065 + 200, true);
var zh_assignment = new Assignment("assignment", 40);
zh_assignment.addPiece(zh_belg, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox , 0, 50, zh_euBildBox, 726,1088, [[825,1031],[794,1051],[801,1076],[816,1067],[820,1093],[836,1095],[854,1104],[856,1124],[880,1120],[880,1137],[913,1159],[913,1135],[933,1113],[942,1102],[929,1082],[909,1076],[926,1058],[893,1036],[867,1031],[847,1047]]);
zh_assignment.addPiece(zh_bulg, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 0, 150, zh_euBildBox, 1746,1554, [[1677,1460],[1664,1466],[1673,1504],[1704,1517],[1677,1544],[1686,1588],[1706,1586],[1717,1623],[1786,1608],[1828,1614],[1867,1599],[1856,1581],[1885,1553],[1911,1542],[1947,1537],[1925,1517],[1918,1489],[1922,1451],[1947,1440],[1934,1422],[1885,1416],[1867,1409],[1839,1420],[1816,1462],[1772,1464],[1728,1475],[1686,1473]]);
zh_assignment.addPiece(zh_dane, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 0, 250, zh_euBildBox, 1217,746, [[1108,647],[1072,674],[1039,678],[1028,782],[1050,826],[1092,817],[1134,841],[1187,822],[1180,775],[1174,746],[1141,773],[1121,773],[1130,727],[1108,720]]);
zh_assignment.addPiece(zh_deut, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 0, 350, zh_euBildBox, 1134,908, [[1028,817],[1059,888],[982,906],[988,930],[971,961],[977,983],[957,1012],[935,1014],[931,1080],[949,1109],[935,1126],[960,1144],[942,1159],[968,1188],[1021,1201],[984,1288],[1013,1285],[1044,1279],[1074,1290],[1105,1307],[1121,1290],[1145,1301],[1214,1279],[1227,1288],[1209,1246],[1258,1210],[1214,1175],[1180,1120],[1280,1069],[1295,1040],[1278,963],[1253,950],[1262,923],[1258,879],[1222,841],[1189,850],[1152,879],[1119,872],[1138,853],[1097,850],[1088,826]]);
zh_assignment.addPiece(zh_estl, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 0, 450, zh_euBildBox, 1566,491, [[1675,459],[1651,464],[1598,464],[1571,477],[1545,486],[1527,508],[1494,523],[1483,572],[1498,599],[1529,559],[1558,559],[1576,554],[1578,572],[1616,563],[1653,581],[1682,581],[1688,557],[1673,532],[1664,501]]);
zh_assignment.addPiece(zh_finn, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 0, 550, zh_euBildBox, 1452,364, [[1432,2],[1448,31],[1441,57],[1465,86],[1496,102],[1492,150],[1428,265],[1417,300],[1445,367],[1439,415],[1452,453],[1505,462],[1638,393],[1682,327],[1717,216],[1646,170],[1662,146],[1627,130],[1635,113],[1616,97],[1609,51],[1580,2]]);
zh_assignment.addPiece(zh_fran, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 0, 650, zh_euBildBox, 795,1194, [[549,1515],[564,1533],[597,1553],[624,1564],[655,1566],[666,1551],[690,1575],[714,1595],[774,1599],[770,1555],[814,1533],[862,1544],[911,1566],[975,1526],[984,1498],[951,1482],[955,1460],[940,1442],[968,1425],[953,1394],[942,1354],[913,1376],[962,1292],[984,1288],[997,1219],[1019,1199],[946,1166],[924,1166],[907,1155],[878,1138],[876,1120],[854,1127],[854,1107],[834,1100],[823,1089],[809,1069],[796,1054],[756,1058],[754,1102],[725,1118],[686,1131],[670,1151],[639,1142],[631,1118],[597,1116],[615,1182],[584,1180],[553,1182],[538,1153],[476,1166],[480,1217],[562,1250],[575,1323],[606,1332],[582,1438],[566,1480]]);
zh_assignment.addPiece(zh_grie, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 0, 750,  zh_euBildBox, 1829,1784, [[1861,1575],[1883,1586],[1876,1608],[1869,1641],[1812,1632],[1812,1663],[1821,1692],[1845,1694],[1850,1707],[1878,1736],[1896,1727],[1916,1745],[1896,1778],[1905,1796],[1911,1822],[1953,1811],[1971,1871],[2024,1888],[2020,1926],[1998,1963],[1953,1994],[1876,2027],[1812,2010],[1766,1968],[1737,1955],[1704,1935],[1693,1917],[1660,1868],[1642,1895],[1613,1864],[1624,1807],[1582,1787],[1569,1758],[1598,1765],[1624,1681],[1640,1670],[1662,1667],[1680,1652],[1715,1632],[1786,1601],[1821,1612],[1861,1601]]);
zh_assignment.addPiece(zh_irla, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 0, 850, zh_euBildBox, 374,787, [[469,713],[452,729],[443,716],[427,729],[403,744],[421,755],[405,766],[383,771],[374,760],[350,760],[357,784],[330,808],[352,824],[372,828],[354,844],[339,864],[330,877],[306,886],[308,919],[324,936],[377,925],[414,910],[465,928],[485,806],[474,802],[465,782],[452,793],[427,771],[452,749]]);
zh_assignment.addPiece(zh_ital, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 0, 950, zh_euBildBox, 1247,1632, [[955,1398],[966,1422],[938,1440],[962,1466],[951,1484],[968,1500],[986,1500],[982,1526],[1015,1511],[1041,1489],[1077,1515],[1099,1515],[1114,1581],[1152,1614],[1216,1670],[1253,1692],[1271,1683],[1306,1729],[1328,1723],[1337,1754],[1373,1754],[1406,1838],[1390,1840],[1375,1873],[1337,1875],[1282,1891],[1262,1882],[1231,1891],[1211,1915],[1344,1970],[1362,1952],[1350,1921],[1368,1893],[1395,1888],[1426,1853],[1430,1826],[1454,1815],[1441,1789],[1417,1771],[1432,1723],[1461,1732],[1485,1740],[1503,1760],[1514,1740],[1487,1709],[1434,1685],[1375,1663],[1388,1637],[1324,1634],[1289,1610],[1258,1539],[1211,1515],[1198,1466],[1211,1455],[1194,1429],[1256,1402],[1244,1356],[1198,1343],[1183,1323],[1145,1325],[1136,1343],[1116,1338],[1112,1356],[1099,1356],[1108,1374],[1063,1360],[1052,1400],[1021,1365],[999,1394]]);
zh_assignment.addPiece(zh_kroa, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 0, 1050, zh_euBildBox, 1399,1359, [[1377,1343],[1346,1369],[1350,1391],[1331,1396],[1328,1413],[1295,1402],[1289,1418],[1247,1422],[1264,1466],[1293,1464],[1293,1484],[1320,1489],[1370,1544],[1403,1581],[1439,1588],[1490,1597],[1381,1495],[1359,1462],[1355,1431],[1379,1442],[1397,1422],[1481,1429],[1496,1442],[1512,1416],[1479,1369],[1461,1383],[1437,1378],[1410,1372]]);
zh_assignment.addPiece(zh_lett, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 0, 1150, zh_euBildBox, 1602,625, [[1574,585],[1593,618],[1576,647],[1549,645],[1543,625],[1518,603],[1494,627],[1485,665],[1479,700],[1487,716],[1507,693],[1545,687],[1602,687],[1616,663],[1629,680],[1680,700],[1699,682],[1719,685],[1728,647],[1704,616],[1699,592],[1677,579],[1657,587],[1622,570],[1600,563]]);
zh_assignment.addPiece(zh_lita, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 0, 1250, zh_euBildBox, 1526,736, [[1490,720],[1494,762],[1532,773],[1551,769],[1565,788],[1571,808],[1591,819],[1604,839],[1627,828],[1655,799],[1675,804],[1664,786],[1669,764],[1697,724],[1684,729],[1688,702],[1649,685],[1624,676],[1611,665],[1602,678],[1549,680],[1518,687],[1501,707]]);
zh_assignment.addPiece(zh_luxe, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 0, 1350, zh_euBildBox, 969,1136, [[938,1120],[940,1135],[957,1142],[944,1164],[920,1164],[913,1124]]);
zh_assignment.addPiece(zh_malt, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 400, 50, zh_euBildBox, 1384,1976, [[1302,2003],[1315,2021],[1342,2032],[1364,2023],[1337,2010],[1320,1994]]);
zh_assignment.addPiece(zh_nied, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 400, 150, zh_euBildBox, 916,982, [[896,919],[878,978],[823,1034],[856,1049],[893,1038],[922,1058],[915,1073],[935,1078],[942,1034],[931,1016],[966,1009],[975,983],[960,959],[977,961],[982,925],[962,910]]);
zh_assignment.addPiece(zh_oste, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 400, 250, zh_euBildBox, 1240,1225, [[1256,1217],[1214,1246],[1221,1290],[1203,1281],[1176,1281],[1137,1301],[1108,1288],[1101,1305],[1079,1296],[1070,1319],[1097,1341],[1134,1336],[1187,1323],[1201,1347],[1296,1358],[1305,1338],[1351,1332],[1373,1307],[1371,1285],[1371,1268],[1391,1259],[1391,1246],[1380,1221],[1373,1199],[1349,1201],[1313,1188],[1289,1212]]);
zh_assignment.addPiece(zh_pole, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 400, 350, zh_euBildBox, 1422,984, [[1403,806],[1357,819],[1333,848],[1280,872],[1262,901],[1253,947],[1271,970],[1289,1067],[1350,1084],[1364,1109],[1384,1095],[1412,1098],[1417,1115],[1445,1122],[1463,1144],[1487,1135],[1501,1155],[1543,1140],[1580,1129],[1624,1155],[1613,1109],[1655,1045],[1649,1023],[1624,992],[1627,947],[1607,936],[1633,897],[1589,808],[1549,819],[1494,826],[1454,824],[1419,830]]);
zh_assignment.addPiece(zh_port, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 400, 450, zh_euBildBox, 175,1690, [[123,1836],[120,1732],[210,1532],[236,1554],[295,1558],[308,1584],[269,1606],[265,1648],[223,1681],[236,1739],[191,1836]]);
zh_assignment.addPiece(zh_ruma, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 400, 550, zh_euBildBox, 1657,1379, [[1649,1212],[1618,1239],[1580,1338],[1545,1352],[1571,1383],[1613,1425],[1642,1433],[1666,1422],[1673,1451],[1697,1475],[1741,1475],[1768,1462],[1810,1462],[1830,1431],[1872,1416],[1914,1413],[1945,1429],[1938,1341],[1969,1349],[1969,1314],[1931,1321],[1900,1325],[1892,1290],[1887,1252],[1843,1206],[1812,1166],[1792,1173],[1748,1197],[1733,1212],[1693,1206]]);
zh_assignment.addPiece(zh_schw, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 400, 650, zh_euBildBox, 1194,544, [[1256,4],[1242,27],[1251,51],[1222,99],[1205,106],[1220,150],[1196,201],[1207,227],[1183,239],[1150,265],[1158,318],[1163,358],[1152,386],[1183,413],[1167,440],[1178,493],[1147,508],[1152,557],[1132,565],[1141,612],[1191,718],[1185,738],[1198,784],[1244,786],[1242,758],[1262,731],[1293,731],[1324,729],[1339,652],[1317,649],[1315,583],[1364,526],[1291,523],[1337,510],[1364,512],[1370,481],[1350,448],[1320,444],[1313,364],[1346,283],[1386,234],[1408,181],[1390,170],[1419,104],[1465,93],[1439,55],[1445,31],[1430,2]]);
zh_assignment.addPiece(zh_slwk, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 400, 750, zh_euBildBox, 1392,1174, [[1454,1144],[1432,1173],[1419,1193],[1395,1195],[1384,1228],[1423,1257],[1470,1250],[1468,1232],[1494,1232],[1521,1215],[1543,1190],[1578,1190],[1604,1195],[1609,1153],[1578,1129],[1554,1131],[1529,1137],[1501,1157],[1485,1137]]);
zh_assignment.addPiece(zh_slwn, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 400, 850, zh_euBildBox, 1139,1409, [[1256,1354],[1240,1369],[1256,1396],[1262,1416],[1289,1411],[1300,1402],[1322,1413],[1342,1389],[1342,1369],[1373,1341],[1362,1323],[1337,1341],[1304,1352],[1293,1365]]);
zh_assignment.addPiece(zh_span, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 400, 950, zh_euBildBox, 385,1609, [[206,1528],[240,1531],[231,1544],[277,1557],[304,1555],[310,1577],[326,1586],[282,1614],[273,1656],[259,1665],[268,1681],[257,1694],[235,1685],[237,1723],[253,1738],[226,1760],[229,1782],[244,1787],[224,1798],[206,1829],[202,1842],[229,1853],[251,1868],[253,1910],[275,1930],[282,1970],[306,1928],[324,1915],[352,1908],[405,1915],[436,1926],[463,1919],[505,1884],[542,1884],[564,1824],[602,1820],[580,1800],[580,1773],[650,1694],[633,1687],[708,1670],[763,1637],[774,1608],[743,1599],[712,1601],[690,1592],[686,1575],[655,1561],[624,1568],[615,1557],[597,1559],[586,1544],[560,1533],[544,1511],[518,1513],[491,1502],[483,1513],[465,1489],[441,1491],[363,1460],[306,1458],[284,1433],[266,1429],[198,1464],[218,1480]]);
zh_assignment.addPiece(zh_tsch, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 400, 1050, zh_euBildBox, 1303,1103, [[1271,1065],[1187,1113],[1194,1157],[1236,1197],[1275,1219],[1297,1212],[1309,1193],[1353,1208],[1386,1201],[1428,1184],[1459,1142],[1421,1118],[1410,1100],[1379,1102],[1364,1115],[1342,1089],[1302,1069]]);
zh_assignment.addPiece(zh_unga, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 400, 1150, zh_euBildBox, 1516,1265, [[1402,1245],[1400,1270],[1372,1270],[1367,1325],[1411,1371],[1464,1380],[1515,1349],[1577,1336],[1610,1248],[1643,1219],[1610,1199],[1581,1199],[1575,1186],[1544,1195],[1520,1223],[1497,1226],[1479,1248],[1441,1261]]);
zh_assignment.addPiece(zh_zype, 350, 70, 45, "rgb(50, 197, 249)", zh_kartenBox, 400, 1250, zh_euBildBox, 2174,1832, [[2353,1846],[2324,1884],[2331,1902],[2305,1910],[2274,1937],[2245,1937],[2234,1910],[2267,1895],[2267,1879],[2309,1879]]);
zh_assignment.addBackgroundImage("src/img/157159.png", 0, 0, 2500, 2065, zh_euBildBox);
zh_kartenBox.addObject(zh_assignment);


// Tafel Code End


// 6. Tafel
var zhw = addBoard(new Board("spaltenweise"));
zhw.setTitle(`Zuordnung der Hauptstädte zu den Flaggen`);
zhw.setInfo(`In dieser etwas anspruchsvolleren Aufgabe ordnen die Schülerinnen und Schüler selbständig per Drag and Drop die Namen der Landeshauptstädte der jeweiligen Staatsflagge zu und überprüfen ihre Antworten. Durch die geänderte Reihenfolge und die Zuordnung der Hauptstädte ist diese Aufgabenstellung etwas anspruchsvoller. Anstelle einer reinen Reproduktion wird hier eine Reorganisation des zuvor Gelernten gefordert. Für jüngere Lernende bietet sich daher eine Vorentlastung an. Ältere Lernenden kann die Aufgabe auch als Wettbewerb präsentiert werden, ähnlich dem bekannten Lernspiel „Tafelfußball“ können hier zwei Mannschaften gegeneinander antreten.

`);

// Tafel Code Start

var zhw_brus = "Brüssel";
var zhw_sofi = "Sofia";
var zhw_kope = "Kopenhagen";
var zhw_berl = "Berlin";
var zhw_tall = "Tallinn";
var zhw_hels = "Helsinki";
var zhw_pari = "Paris";
var zhw_athe = "Athen";
var zhw_dubl = "Dublin";
var zhw_rom = "Rom";
var zhw_zagr = "Zagreb";
var zhw_riga = "Riga";
var zhw_viln = "Vilnius";
var zhw_luxe = "Luxemburg";
var zhw_vale = "Valetta";
var zhw_amst = "Amsterdam";
var zhw_wien = "Wien";
var zhw_wars = "Warschau";
var zhw_liss = "Lissabon";
var zhw_buka = "Bukarest";
var zhw_stoc = "Stockholm";
var zhw_brat = "Bratislava";
var zhw_ljub = "Ljubljana";
var zhw_madr = "Madrid";
var zhw_prag = "Prag";
var zhw_buda = "Budapest";
var zhw_niko = "Nikosia";
var zhw_wappenBox = zhw.addBox(1594, 2045 + 100, true);
var zhw_staedteBox = zhw.addBox(800, 2045, true);
var zhw_assignment = new Assignment("assignment", 40);
// Functions for calculating: ZielPos, HeatMap
let w = 398.5;
let h = 288.6;
var _px = n => (n - 1) * w;
var _py = n => (n - 1) * h;
var _h = (n,m) => {
    let x = _px(n);
    let y = _py(m);
    let hm = [[x,y],[x+w,y],[x+w,y+h],[x,y+h]];
    return hm;
};
zhw_assignment.addPiece(zhw_brus, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 0, 0, zhw_wappenBox, _px(1), _py(1), _h(1,1));
zhw_assignment.addPiece(zhw_sofi, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 0, 100, zhw_wappenBox, _px(2), _py(1), _h(2,1));
zhw_assignment.addPiece(zhw_kope, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 0, 200, zhw_wappenBox, _px(3), _py(1), _h(3,1));
zhw_assignment.addPiece(zhw_berl, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 0, 300, zhw_wappenBox, _px(4), _py(1), _h(4,1));
zhw_assignment.addPiece(zhw_tall, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 0, 400, zhw_wappenBox, _px(1), _py(2), _h(1,2));
zhw_assignment.addPiece(zhw_hels, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 0, 500, zhw_wappenBox, _px(2), _py(2), _h(2,2));
zhw_assignment.addPiece(zhw_pari, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 0, 600, zhw_wappenBox, _px(3), _py(2), _h(3,2));
zhw_assignment.addPiece(zhw_athe, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 0, 700,  zhw_wappenBox, _px(4), _py(2), _h(4,2));
zhw_assignment.addPiece(zhw_dubl, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 0, 800, zhw_wappenBox, _px(1), _py(3), _h(1,3));
zhw_assignment.addPiece(zhw_rom, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 0, 900, zhw_wappenBox, _px(2), _py(3), _h(2,3));
zhw_assignment.addPiece(zhw_zagr, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 0, 1000, zhw_wappenBox, _px(3), _py(3), _h(3,3));
zhw_assignment.addPiece(zhw_riga, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 0, 1100, zhw_wappenBox, _px(4), _py(3), _h(4,3));
zhw_assignment.addPiece(zhw_viln, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 0, 1200, zhw_wappenBox, _px(1), _py(4), _h(1,4));
zhw_assignment.addPiece(zhw_luxe, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 0, 1300, zhw_wappenBox, _px(2), _py(4), _h(2,4));
zhw_assignment.addPiece(zhw_vale, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 400, 0, zhw_wappenBox, _px(3), _py(4), _h(3,4));
zhw_assignment.addPiece(zhw_amst, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 400, 100, zhw_wappenBox, _px(4), _py(4), _h(4,4));
zhw_assignment.addPiece(zhw_wien, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 400, 200, zhw_wappenBox, _px(1), _py(5), _h(1,5));
zhw_assignment.addPiece(zhw_wars, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 400, 300, zhw_wappenBox, _px(2), _py(5), _h(2,5));
zhw_assignment.addPiece(zhw_liss, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 400, 400, zhw_wappenBox, _px(3), _py(5), _h(3,5));
zhw_assignment.addPiece(zhw_buka, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 400, 500, zhw_wappenBox, _px(4), _py(5), _h(4,5));
zhw_assignment.addPiece(zhw_stoc, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 400, 600, zhw_wappenBox, _px(1), _py(6), _h(1,6));
zhw_assignment.addPiece(zhw_brat, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 400, 700, zhw_wappenBox, _px(2), _py(6), _h(2,6));
zhw_assignment.addPiece(zhw_ljub, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 400, 800, zhw_wappenBox, _px(3), _py(6), _h(3,6));
zhw_assignment.addPiece(zhw_madr, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 400, 900, zhw_wappenBox, _px(4), _py(6), _h(4,6));
zhw_assignment.addPiece(zhw_prag, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 400, 1000, zhw_wappenBox, _px(1), _py(7), _h(1,7));
zhw_assignment.addPiece(zhw_buda, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 400, 1100, zhw_wappenBox, _px(2), _py(7), _h(2,7));
zhw_assignment.addPiece(zhw_niko, 350, 70, 45, "rgb(50, 197, 249)", zhw_staedteBox, 400, 1200, zhw_wappenBox, _px(3), _py(7), _h(3,7));
zhw_assignment.addBackgroundImage("src/img/157172.png", 0, 0, 1594, 2045, zhw_wappenBox);
zhw_staedteBox.addObject(zhw_assignment);


// Tafel Code End


// 7. Tafel
var abschluss = addBoard(new Board("zeilenweise"));
abschluss.setTitle(`Abschluss`);
abschluss.setInfo(`Abschließend sehen die Schülerinnen und Schüler die Karte der Europäischen Union und erhalten den Hinweis, wo weitere Informationen zum Thema zur Verfügung stehen.

`);

// Tafel Code Start

var abschluss_text = `
Klickt doch mal rein auf <a class='typ-link ga-link' href='https://www.hanisauland.de' target='_blank' rel='noopener noreferrer'>www.hanisauland.de</a>. Dort könnt ihr noch mehr über Politik und Wirtschaft erfahren.
<i>Das interaktive Tafelbild wurde erstellt von der Bundeszentrale für politische Bildung in Zusammenarbeit mit der Eduversum GmbH und Glamus, der Gesellschaft für moderne Kommunikation mbH<br>Zeichnungen: Stefan Eling// abgebildete EU-Flaggen: Wikimedia CC0 1.0 Stand: Mai 2020</i>
`;
var abschluss_bildBox = abschluss.addBox(2500, 2065, true);
var abschluss_textBox = abschluss.addBox(4000 + 100, 900, true);
var abschluss_bild = new BackgroundImage(150, 0, 2500, 2065, "src/img/157159.png");
abschluss_bildBox.addObject(abschluss_bild);
var abschluss_bgText = new BackgroundText(150, 0, 4000, 900, abschluss_text);
abschluss_textBox.addObject(abschluss_bgText);


// Tafel Code End


